%define ver 0.96.4
%define pkgrev 1

%define USE_MYSQL 1
%define USE_PGSQL 1
%define USE_GUILE 1

Summary: GNU Radius server
Name: gnu-radius
Version: %{ver}
Release: %{pkgrev}
Source: gnu-radius-%{ver}.tar.gz
Source1: radiusd
Patch0: documentation.diff
Patch1: acctlog.diff

URL: http://www.gnu.org/software/radius/
Copyright: GPL
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{ver}-root
Requires: ucd-snmp, pam, ncurses, libtermcap, chkconfig
BuildRequires: ucd-snmp-devel, pam-devel, ncurses-devel, libtermcap-devel

%if %{USE_MYSQL}
Requires: mysql
BuildRequires: mysql-devel
%endif

%if %{USE_PGSQL}
Requires: postgresql-libs
BuildRequires: postgresql-devel
%endif

%if %{USE_GUILE}
Requires: guile >= 1.4
BuildRequires: guile-devel >= 1.4
%endif

%package client
Group: System Environment/Daemons
Summary: GNU Radius Client programs
%if %{USE_GUILE}
Requires: guile >= 1.4
%endif

%description
GNU Radius Server

%description client
GNU Radius Client programs

%prep
%setup -q
%patch0
%patch1

%build
CARGS=
%if %{USE_MYSQL}
  CARGS="-with-lib-path=/usr/lib/mysql --with-mysql"
%endif
%if %{USE_PGSQL}
  CARGS="${CARGS} --with-postgres"
%endif

%configure \
    --with-pamdir=/lib/security \
    --enable-snmp \
    --enable-pam \
    --with-client \
    ${CARGS}
make
make -C doc/texinfo html

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall \
    raddbdir=%{?buildroot:%{buildroot}}%{_sysconfdir}/raddb \
    pamdir=%{?buildroot:%{buildroot}}/lib/security
mkdir -p %{buildroot}/var/log/radacct
rm -f %{buildroot}/lib/security/pam_radius.so
mv %{buildroot}/lib/security/pam_radius.so.0.0.0 \
    %{buildroot}/lib/security/pam_radius.so
mkdir -p %{buildroot}/etc/rc.d/init.d
cp %{SOURCE1} %{buildroot}/etc/rc.d/init.d/radiusd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add radiusd

%preun
if [ $1 = 0 ] ; then
    /sbin/service radiusd stop > /dev/null 2>&1
    /sbin/chkconfig --del radiusd
fi

%postun
if [ $1 -ge 1 ] ; then
    /sbin/service radiusd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc NEWS README THANKS TODO INSTALL ChangeLog COPYING AUTHORS
%doc doc/MACHINES doc/COPYING.FDL doc/texinfo/html_chapter contrib
%dir /var/log/radacct
%dir /etc/raddb
%config /etc/raddb/*
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/gnu-radius
%{_datadir}/gnu-radius/*
%{_infodir}/*
%{_libexecdir}/*
/lib/security/pam_radius.so
%{_mandir}/man1/*
%{_mandir}/man8/*
/etc/rc.d/init.d/radiusd

%files client
%defattr(-,root,root)
%doc NEWS README THANKS TODO INSTALL ChangeLog COPYING AUTHORS
%doc doc/MACHINES doc/COPYING.FDL doc/texinfo/html_chapter contrib
%dir /etc/raddb
%config /etc/raddb/client.conf
%if %{USE_GUILE}
%{_bindir}/radsession
%{_bindir}/radscm
%endif
%{_libexecdir}/*
/lib/security/pam_radius.so

%changelog
* Tue Sep 17 2002 Edward Rudd <eddie@omegaware.com>
- Upgraded to 0.96.4
- Made default raddb/config to use /var/log/radacct for accounting dir.
- Added System V init script.

* Tue Jul 16 2002 Edward Rudd <eddie@omegaware.com>
- Installed patchs 366,388,389, and 390.

* Fri Jul 12 2002 Edward Rudd <eddie@omegaware.com>
- Initial RPM
